Create an adviser split Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/adviser-split

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    The name of the adviser split

  • firm_percentage number(float) Required

    The percentage held by the firm on a charge

  • adviser_percentage number(float) Required

    The percentage held by the selling adviser on a charge

  • type string Required

    Whether or not this adviser split will be assigned directly to an adviser, or at a plan level to override the selling adviser's adviser split.

    Values are plan or adviser.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • firm_percentage integer
    • adviser_percentage integer
    • type string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/adviser-split
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/adviser-split' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Trainee Rate","firm_percentage":30.0,"adviser_percentage":70.0,"type":"plan"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Trainee Rate",
  "firm_percentage": 30.0,
  "adviser_percentage": 70.0,
  "type": "plan"
}
Response examples (201)
[
  {
    "uuid": "05b4a430-0542-4ae4-983f-4e72a1b17252",
    "created_at": "2026-08-07T15:29:26+01:00",
    "updated_at": "2026-08-07T15:29:26+01:00",
    "name": "Trainee Rate",
    "firm_percentage": 30,
    "adviser_percentage": 30,
    "type": "adviser"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}